This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 362311 - grub does not recognize secondary hdd
grub does not recognize secondary hdd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 14:40 EDT by Vince Radice
Modified: 2008-06-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:46:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vince Radice 2007-11-01 14:40:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
When I try to load the OS in partition 1 on the secondary IDE hdd (hd1,0), i get the message 
Error 21 selected disk does not exist

This is related to another bug ticket - 344231 - where Fedora does not recognize the secondary hdd in my system.  The solution there was to add an option and recreate the initrd file.  Is there something similar for grub?
Thank you.

Version-Release number of selected component (if applicable):
grub-0.97-13

How reproducible:
Always


Steps to Reproduce:
1.Have ITE IT8212F PCI IDE controller installed
2.Have two IDE drives connected to the controller
3.Have an OS installed on the secondary hdd
4.Try to reference the OS on the slave drive

Actual Results:
Error 21 Selected disk does not exist

Expected Results:
OS should have booted

Additional info:
Please read the bug report for 344231.  This describes the problem with Fedora.  Is there a similar procedure for grub?
Thanks

The only way to boot the other os is to change the addressing on the drives -
Master to slave
Slave to master

The other OS (WIN ME) works fine when booted.
Comment 1 Vince Radice 2007-11-05 09:48:44 EST
Due to the lack of response, am I on my own to fix this? If so, where can I find
out what program would need to be modified to fix my problem?  I think that with
a little guidance as to the proper procedure, I can fix my problem.  Thank you.
Comment 2 Bug Zapper 2008-05-14 10:56:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:46:54 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.